@mixin app-calendar-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);
  $banner_header_color: #8f431a;

  app-calendar {
    width: 100%;
    // padding: 5px;
    overflow-x: hidden;
  }

  .schedular {
    // margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .notice-banner {
      display: flex;
      background-color: white;
      border: 2px solid mat-color($primary, 100);
      border-radius: 5px;
      padding: 10px;
      margin-bottom: 5px;
      // font-size: 0.9em;

      .primary-notice {
        color: mat-color($primary);
      }
      .red-notice {
        color: red;
      }
    }

    .schedular-agency-site-info {
      display: flex;
      flex-direction: row;
      h3 {
        color: $banner_header_color;
      }
    }

    .schedular-top-nav {
      // width: 100%;
      display: flex;
      flex-direction: row;
    }

    .toolbar-spacer {
      flex: 1 1 auto;
    }

    // Calendar event lists with edit and delete button
    .calendar-event-edit-icon:after {
      // position: absolute;
      content: "edit";
      font-weight: 400;
      font-size: 1.1em;
      margin-left: 5px;
      font-family: "Material Icons";
      text-decoration: none !important;
    }

    .calendar-event-edit-icon:hover {
      color: white;
    }

    .calendar-event-delete-icon:after {
      // position: absolute;
      content: "delete";
      font-weight: 400;
      font-size: 1.1em;
      margin-left: 5px;
      font-family: "Material Icons";
    }

    .calendar-event-delete-icon:hover {
      color: white;
    }

    .cal-month-view .cal-day-badge {
      background-color: #b71c1c !important;
      color: #fff;
    }
    .cal-month-view .cal-open-day-events {
      color: black !important;
      background-color: mat-color($primary, 100) !important;
      box-shadow: none !important;
    }

    .cal-day-selected,
    .cal-day-selected:hover {
      background-color: #22a213 !important;
    }

    .cal-current-time-marker {
      height: 3px;
      background: linear-gradient(270deg, #ec268d, #1f55dd);
      background-size: 400% 400%;
      animation: BackgroundFade 5s ease infinite;

      @keyframes BackgroundFade {
        0% {
          background-position: 0 50%;
        }
        50% {
          background-position: 100% 50%;
        }
        100% {
          background-position: 0 50%;
        }
      }
    }

    .foot-notes {
      text-align: left;

      .color-grade-green {
        padding: 1px 20px;
        margin: 10px;
        line-height: 30px;
        background-color: #22a213;
        border-radius: 10px;
      }
      .color-grade-pink {
        padding: 1px 20px;
        margin: 10px;
        line-height: 30px;
        background-color: #ffabb3;
        border-radius: 10px;
      }
    }
  }
}
